IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network0.46.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
0.46.0.0- Broadcast address
0.47.255.255- First usable
0.46.0.1- Last usable
0.47.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings - Old class
- A (default /8)
- As numbers
- Hex
002E0000· Integer3014656to3145727 - Reverse DNS zones
46.0.in-addr.arpa47.0.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000000.00101110.00000000.00000000 | 0.46.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 00000000.00101110.00000000.00000000 | 0.46.0.0 |
| Broadcast | 00000000.00101111.11111111.11111111 | 0.47.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
0.46.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 0.46.0.0/23 | 0.46.0.1 to 0.46.1.254 | 0.46.1.255 | 510 |
| 2 | 0.46.2.0/23 | 0.46.2.1 to 0.46.3.254 | 0.46.3.255 | 510 |
| 3 | 0.46.4.0/23 | 0.46.4.1 to 0.46.5.254 | 0.46.5.255 | 510 |
| 4 | 0.46.6.0/23 | 0.46.6.1 to 0.46.7.254 | 0.46.7.255 | 510 |
| 5 | 0.46.8.0/23 | 0.46.8.1 to 0.46.9.254 | 0.46.9.255 | 510 |
| 6 | 0.46.10.0/23 | 0.46.10.1 to 0.46.11.254 | 0.46.11.255 | 510 |
| 7 | 0.46.12.0/23 | 0.46.12.1 to 0.46.13.254 | 0.46.13.255 | 510 |
| 8 | 0.46.14.0/23 | 0.46.14.1 to 0.46.15.254 | 0.46.15.255 | 510 |
| 9 | 0.46.16.0/23 | 0.46.16.1 to 0.46.17.254 | 0.46.17.255 | 510 |
| 10 | 0.46.18.0/23 | 0.46.18.1 to 0.46.19.254 | 0.46.19.255 | 510 |
| 11 | 0.46.20.0/23 | 0.46.20.1 to 0.46.21.254 | 0.46.21.255 | 510 |
| 12 | 0.46.22.0/23 | 0.46.22.1 to 0.46.23.254 | 0.46.23.255 | 510 |
| 13 | 0.46.24.0/23 | 0.46.24.1 to 0.46.25.254 | 0.46.25.255 | 510 |
| 14 | 0.46.26.0/23 | 0.46.26.1 to 0.46.27.254 | 0.46.27.255 | 510 |
| 15 | 0.46.28.0/23 | 0.46.28.1 to 0.46.29.254 | 0.46.29.255 | 510 |
| 16 | 0.46.30.0/23 | 0.46.30.1 to 0.46.31.254 | 0.46.31.255 | 510 |
| 17 | 0.46.32.0/23 | 0.46.32.1 to 0.46.33.254 | 0.46.33.255 | 510 |
| 18 | 0.46.34.0/23 | 0.46.34.1 to 0.46.35.254 | 0.46.35.255 | 510 |
| 19 | 0.46.36.0/23 | 0.46.36.1 to 0.46.37.254 | 0.46.37.255 | 510 |
| 20 | 0.46.38.0/23 | 0.46.38.1 to 0.46.39.254 | 0.46.39.255 | 510 |
| 21 | 0.46.40.0/23 | 0.46.40.1 to 0.46.41.254 | 0.46.41.255 | 510 |
| 22 | 0.46.42.0/23 | 0.46.42.1 to 0.46.43.254 | 0.46.43.255 | 510 |
| 23 | 0.46.44.0/23 | 0.46.44.1 to 0.46.45.254 | 0.46.45.255 | 510 |
| 24 | 0.46.46.0/23 | 0.46.46.1 to 0.46.47.254 | 0.46.47.255 | 510 |
| 25 | 0.46.48.0/23 | 0.46.48.1 to 0.46.49.254 | 0.46.49.255 | 510 |
| 26 | 0.46.50.0/23 | 0.46.50.1 to 0.46.51.254 | 0.46.51.255 | 510 |
| 27 | 0.46.52.0/23 | 0.46.52.1 to 0.46.53.254 | 0.46.53.255 | 510 |
| 28 | 0.46.54.0/23 | 0.46.54.1 to 0.46.55.254 | 0.46.55.255 | 510 |
| 29 | 0.46.56.0/23 | 0.46.56.1 to 0.46.57.254 | 0.46.57.255 | 510 |
| 30 | 0.46.58.0/23 | 0.46.58.1 to 0.46.59.254 | 0.46.59.255 | 510 |
| 31 | 0.46.60.0/23 | 0.46.60.1 to 0.46.61.254 | 0.46.61.255 | 510 |
| 32 | 0.46.62.0/23 | 0.46.62.1 to 0.46.63.254 | 0.46.63.255 | 510 |
| 33 | 0.46.64.0/23 | 0.46.64.1 to 0.46.65.254 | 0.46.65.255 | 510 |
| 34 | 0.46.66.0/23 | 0.46.66.1 to 0.46.67.254 | 0.46.67.255 | 510 |
| 35 | 0.46.68.0/23 | 0.46.68.1 to 0.46.69.254 | 0.46.69.255 | 510 |
| 36 | 0.46.70.0/23 | 0.46.70.1 to 0.46.71.254 | 0.46.71.255 | 510 |
| 37 | 0.46.72.0/23 | 0.46.72.1 to 0.46.73.254 | 0.46.73.255 | 510 |
| 38 | 0.46.74.0/23 | 0.46.74.1 to 0.46.75.254 | 0.46.75.255 | 510 |
| 39 | 0.46.76.0/23 | 0.46.76.1 to 0.46.77.254 | 0.46.77.255 | 510 |
| 40 | 0.46.78.0/23 | 0.46.78.1 to 0.46.79.254 | 0.46.79.255 | 510 |
| 41 | 0.46.80.0/23 | 0.46.80.1 to 0.46.81.254 | 0.46.81.255 | 510 |
| 42 | 0.46.82.0/23 | 0.46.82.1 to 0.46.83.254 | 0.46.83.255 | 510 |
| 43 | 0.46.84.0/23 | 0.46.84.1 to 0.46.85.254 | 0.46.85.255 | 510 |
| 44 | 0.46.86.0/23 | 0.46.86.1 to 0.46.87.254 | 0.46.87.255 | 510 |
| 45 | 0.46.88.0/23 | 0.46.88.1 to 0.46.89.254 | 0.46.89.255 | 510 |
| 46 | 0.46.90.0/23 | 0.46.90.1 to 0.46.91.254 | 0.46.91.255 | 510 |
| 47 | 0.46.92.0/23 | 0.46.92.1 to 0.46.93.254 | 0.46.93.255 | 510 |
| 48 | 0.46.94.0/23 | 0.46.94.1 to 0.46.95.254 | 0.46.95.255 | 510 |
| 49 | 0.46.96.0/23 | 0.46.96.1 to 0.46.97.254 | 0.46.97.255 | 510 |
| 50 | 0.46.98.0/23 | 0.46.98.1 to 0.46.99.254 | 0.46.99.255 | 510 |
| 51 | 0.46.100.0/23 | 0.46.100.1 to 0.46.101.254 | 0.46.101.255 | 510 |
| 52 | 0.46.102.0/23 | 0.46.102.1 to 0.46.103.254 | 0.46.103.255 | 510 |
| 53 | 0.46.104.0/23 | 0.46.104.1 to 0.46.105.254 | 0.46.105.255 | 510 |
| 54 | 0.46.106.0/23 | 0.46.106.1 to 0.46.107.254 | 0.46.107.255 | 510 |
| 55 | 0.46.108.0/23 | 0.46.108.1 to 0.46.109.254 | 0.46.109.255 | 510 |
| 56 | 0.46.110.0/23 | 0.46.110.1 to 0.46.111.254 | 0.46.111.255 | 510 |
| 57 | 0.46.112.0/23 | 0.46.112.1 to 0.46.113.254 | 0.46.113.255 | 510 |
| 58 | 0.46.114.0/23 | 0.46.114.1 to 0.46.115.254 | 0.46.115.255 | 510 |
| 59 | 0.46.116.0/23 | 0.46.116.1 to 0.46.117.254 | 0.46.117.255 | 510 |
| 60 | 0.46.118.0/23 | 0.46.118.1 to 0.46.119.254 | 0.46.119.255 | 510 |
| 61 | 0.46.120.0/23 | 0.46.120.1 to 0.46.121.254 | 0.46.121.255 | 510 |
| 62 | 0.46.122.0/23 | 0.46.122.1 to 0.46.123.254 | 0.46.123.255 | 510 |
| 63 | 0.46.124.0/23 | 0.46.124.1 to 0.46.125.254 | 0.46.125.255 | 510 |
| 64 | 0.46.126.0/23 | 0.46.126.1 to 0.46.127.254 | 0.46.127.255 | 510 |
| 65 | 0.46.128.0/23 | 0.46.128.1 to 0.46.129.254 | 0.46.129.255 | 510 |
| 66 | 0.46.130.0/23 | 0.46.130.1 to 0.46.131.254 | 0.46.131.255 | 510 |
| 67 | 0.46.132.0/23 | 0.46.132.1 to 0.46.133.254 | 0.46.133.255 | 510 |
| 68 | 0.46.134.0/23 | 0.46.134.1 to 0.46.135.254 | 0.46.135.255 | 510 |
| 69 | 0.46.136.0/23 | 0.46.136.1 to 0.46.137.254 | 0.46.137.255 | 510 |
| 70 | 0.46.138.0/23 | 0.46.138.1 to 0.46.139.254 | 0.46.139.255 | 510 |
| 71 | 0.46.140.0/23 | 0.46.140.1 to 0.46.141.254 | 0.46.141.255 | 510 |
| 72 | 0.46.142.0/23 | 0.46.142.1 to 0.46.143.254 | 0.46.143.255 | 510 |
| 73 | 0.46.144.0/23 | 0.46.144.1 to 0.46.145.254 | 0.46.145.255 | 510 |
| 74 | 0.46.146.0/23 | 0.46.146.1 to 0.46.147.254 | 0.46.147.255 | 510 |
| 75 | 0.46.148.0/23 | 0.46.148.1 to 0.46.149.254 | 0.46.149.255 | 510 |
| 76 | 0.46.150.0/23 | 0.46.150.1 to 0.46.151.254 | 0.46.151.255 | 510 |
| 77 | 0.46.152.0/23 | 0.46.152.1 to 0.46.153.254 | 0.46.153.255 | 510 |
| 78 | 0.46.154.0/23 | 0.46.154.1 to 0.46.155.254 | 0.46.155.255 | 510 |
| 79 | 0.46.156.0/23 | 0.46.156.1 to 0.46.157.254 | 0.46.157.255 | 510 |
| 80 | 0.46.158.0/23 | 0.46.158.1 to 0.46.159.254 | 0.46.159.255 | 510 |
| 81 | 0.46.160.0/23 | 0.46.160.1 to 0.46.161.254 | 0.46.161.255 | 510 |
| 82 | 0.46.162.0/23 | 0.46.162.1 to 0.46.163.254 | 0.46.163.255 | 510 |
| 83 | 0.46.164.0/23 | 0.46.164.1 to 0.46.165.254 | 0.46.165.255 | 510 |
| 84 | 0.46.166.0/23 | 0.46.166.1 to 0.46.167.254 | 0.46.167.255 | 510 |
| 85 | 0.46.168.0/23 | 0.46.168.1 to 0.46.169.254 | 0.46.169.255 | 510 |
| 86 | 0.46.170.0/23 | 0.46.170.1 to 0.46.171.254 | 0.46.171.255 | 510 |
| 87 | 0.46.172.0/23 | 0.46.172.1 to 0.46.173.254 | 0.46.173.255 | 510 |
| 88 | 0.46.174.0/23 | 0.46.174.1 to 0.46.175.254 | 0.46.175.255 | 510 |
| 89 | 0.46.176.0/23 | 0.46.176.1 to 0.46.177.254 | 0.46.177.255 | 510 |
| 90 | 0.46.178.0/23 | 0.46.178.1 to 0.46.179.254 | 0.46.179.255 | 510 |
| 91 | 0.46.180.0/23 | 0.46.180.1 to 0.46.181.254 | 0.46.181.255 | 510 |
| 92 | 0.46.182.0/23 | 0.46.182.1 to 0.46.183.254 | 0.46.183.255 | 510 |
| 93 | 0.46.184.0/23 | 0.46.184.1 to 0.46.185.254 | 0.46.185.255 | 510 |
| 94 | 0.46.186.0/23 | 0.46.186.1 to 0.46.187.254 | 0.46.187.255 | 510 |
| 95 | 0.46.188.0/23 | 0.46.188.1 to 0.46.189.254 | 0.46.189.255 | 510 |
| 96 | 0.46.190.0/23 | 0.46.190.1 to 0.46.191.254 | 0.46.191.255 | 510 |
| 97 | 0.46.192.0/23 | 0.46.192.1 to 0.46.193.254 | 0.46.193.255 | 510 |
| 98 | 0.46.194.0/23 | 0.46.194.1 to 0.46.195.254 | 0.46.195.255 | 510 |
| 99 | 0.46.196.0/23 | 0.46.196.1 to 0.46.197.254 | 0.46.197.255 | 510 |
| 100 | 0.46.198.0/23 | 0.46.198.1 to 0.46.199.254 | 0.46.199.255 | 510 |
| 101 | 0.46.200.0/23 | 0.46.200.1 to 0.46.201.254 | 0.46.201.255 | 510 |
| 102 | 0.46.202.0/23 | 0.46.202.1 to 0.46.203.254 | 0.46.203.255 | 510 |
| 103 | 0.46.204.0/23 | 0.46.204.1 to 0.46.205.254 | 0.46.205.255 | 510 |
| 104 | 0.46.206.0/23 | 0.46.206.1 to 0.46.207.254 | 0.46.207.255 | 510 |
| 105 | 0.46.208.0/23 | 0.46.208.1 to 0.46.209.254 | 0.46.209.255 | 510 |
| 106 | 0.46.210.0/23 | 0.46.210.1 to 0.46.211.254 | 0.46.211.255 | 510 |
| 107 | 0.46.212.0/23 | 0.46.212.1 to 0.46.213.254 | 0.46.213.255 | 510 |
| 108 | 0.46.214.0/23 | 0.46.214.1 to 0.46.215.254 | 0.46.215.255 | 510 |
| 109 | 0.46.216.0/23 | 0.46.216.1 to 0.46.217.254 | 0.46.217.255 | 510 |
| 110 | 0.46.218.0/23 | 0.46.218.1 to 0.46.219.254 | 0.46.219.255 | 510 |
| 111 | 0.46.220.0/23 | 0.46.220.1 to 0.46.221.254 | 0.46.221.255 | 510 |
| 112 | 0.46.222.0/23 | 0.46.222.1 to 0.46.223.254 | 0.46.223.255 | 510 |
| 113 | 0.46.224.0/23 | 0.46.224.1 to 0.46.225.254 | 0.46.225.255 | 510 |
| 114 | 0.46.226.0/23 | 0.46.226.1 to 0.46.227.254 | 0.46.227.255 | 510 |
| 115 | 0.46.228.0/23 | 0.46.228.1 to 0.46.229.254 | 0.46.229.255 | 510 |
| 116 | 0.46.230.0/23 | 0.46.230.1 to 0.46.231.254 | 0.46.231.255 | 510 |
| 117 | 0.46.232.0/23 | 0.46.232.1 to 0.46.233.254 | 0.46.233.255 | 510 |
| 118 | 0.46.234.0/23 | 0.46.234.1 to 0.46.235.254 | 0.46.235.255 | 510 |
| 119 | 0.46.236.0/23 | 0.46.236.1 to 0.46.237.254 | 0.46.237.255 | 510 |
| 120 | 0.46.238.0/23 | 0.46.238.1 to 0.46.239.254 | 0.46.239.255 | 510 |
| 121 | 0.46.240.0/23 | 0.46.240.1 to 0.46.241.254 | 0.46.241.255 | 510 |
| 122 | 0.46.242.0/23 | 0.46.242.1 to 0.46.243.254 | 0.46.243.255 | 510 |
| 123 | 0.46.244.0/23 | 0.46.244.1 to 0.46.245.254 | 0.46.245.255 | 510 |
| 124 | 0.46.246.0/23 | 0.46.246.1 to 0.46.247.254 | 0.46.247.255 | 510 |
| 125 | 0.46.248.0/23 | 0.46.248.1 to 0.46.249.254 | 0.46.249.255 | 510 |
| 126 | 0.46.250.0/23 | 0.46.250.1 to 0.46.251.254 | 0.46.251.255 | 510 |
| 127 | 0.46.252.0/23 | 0.46.252.1 to 0.46.253.254 | 0.46.253.255 | 510 |
| 128 | 0.46.254.0/23 | 0.46.254.1 to 0.46.255.254 | 0.46.255.255 | 510 |
| 129 | 0.47.0.0/23 | 0.47.0.1 to 0.47.1.254 | 0.47.1.255 | 510 |
| 130 | 0.47.2.0/23 | 0.47.2.1 to 0.47.3.254 | 0.47.3.255 | 510 |
| 131 | 0.47.4.0/23 | 0.47.4.1 to 0.47.5.254 | 0.47.5.255 | 510 |
| 132 | 0.47.6.0/23 | 0.47.6.1 to 0.47.7.254 | 0.47.7.255 | 510 |
| 133 | 0.47.8.0/23 | 0.47.8.1 to 0.47.9.254 | 0.47.9.255 | 510 |
| 134 | 0.47.10.0/23 | 0.47.10.1 to 0.47.11.254 | 0.47.11.255 | 510 |
| 135 | 0.47.12.0/23 | 0.47.12.1 to 0.47.13.254 | 0.47.13.255 | 510 |
| 136 | 0.47.14.0/23 | 0.47.14.1 to 0.47.15.254 | 0.47.15.255 | 510 |
| 137 | 0.47.16.0/23 | 0.47.16.1 to 0.47.17.254 | 0.47.17.255 | 510 |
| 138 | 0.47.18.0/23 | 0.47.18.1 to 0.47.19.254 | 0.47.19.255 | 510 |
| 139 | 0.47.20.0/23 | 0.47.20.1 to 0.47.21.254 | 0.47.21.255 | 510 |
| 140 | 0.47.22.0/23 | 0.47.22.1 to 0.47.23.254 | 0.47.23.255 | 510 |
| 141 | 0.47.24.0/23 | 0.47.24.1 to 0.47.25.254 | 0.47.25.255 | 510 |
| 142 | 0.47.26.0/23 | 0.47.26.1 to 0.47.27.254 | 0.47.27.255 | 510 |
| 143 | 0.47.28.0/23 | 0.47.28.1 to 0.47.29.254 | 0.47.29.255 | 510 |
| 144 | 0.47.30.0/23 | 0.47.30.1 to 0.47.31.254 | 0.47.31.255 | 510 |
| 145 | 0.47.32.0/23 | 0.47.32.1 to 0.47.33.254 | 0.47.33.255 | 510 |
| 146 | 0.47.34.0/23 | 0.47.34.1 to 0.47.35.254 | 0.47.35.255 | 510 |
| 147 | 0.47.36.0/23 | 0.47.36.1 to 0.47.37.254 | 0.47.37.255 | 510 |
| 148 | 0.47.38.0/23 | 0.47.38.1 to 0.47.39.254 | 0.47.39.255 | 510 |
| 149 | 0.47.40.0/23 | 0.47.40.1 to 0.47.41.254 | 0.47.41.255 | 510 |
| 150 | 0.47.42.0/23 | 0.47.42.1 to 0.47.43.254 | 0.47.43.255 | 510 |
| 151 | 0.47.44.0/23 | 0.47.44.1 to 0.47.45.254 | 0.47.45.255 | 510 |
| 152 | 0.47.46.0/23 | 0.47.46.1 to 0.47.47.254 | 0.47.47.255 | 510 |
| 153 | 0.47.48.0/23 | 0.47.48.1 to 0.47.49.254 | 0.47.49.255 | 510 |
| 154 | 0.47.50.0/23 | 0.47.50.1 to 0.47.51.254 | 0.47.51.255 | 510 |
| 155 | 0.47.52.0/23 | 0.47.52.1 to 0.47.53.254 | 0.47.53.255 | 510 |
| 156 | 0.47.54.0/23 | 0.47.54.1 to 0.47.55.254 | 0.47.55.255 | 510 |
| 157 | 0.47.56.0/23 | 0.47.56.1 to 0.47.57.254 | 0.47.57.255 | 510 |
| 158 | 0.47.58.0/23 | 0.47.58.1 to 0.47.59.254 | 0.47.59.255 | 510 |
| 159 | 0.47.60.0/23 | 0.47.60.1 to 0.47.61.254 | 0.47.61.255 | 510 |
| 160 | 0.47.62.0/23 | 0.47.62.1 to 0.47.63.254 | 0.47.63.255 | 510 |
| 161 | 0.47.64.0/23 | 0.47.64.1 to 0.47.65.254 | 0.47.65.255 | 510 |
| 162 | 0.47.66.0/23 | 0.47.66.1 to 0.47.67.254 | 0.47.67.255 | 510 |
| 163 | 0.47.68.0/23 | 0.47.68.1 to 0.47.69.254 | 0.47.69.255 | 510 |
| 164 | 0.47.70.0/23 | 0.47.70.1 to 0.47.71.254 | 0.47.71.255 | 510 |
| 165 | 0.47.72.0/23 | 0.47.72.1 to 0.47.73.254 | 0.47.73.255 | 510 |
| 166 | 0.47.74.0/23 | 0.47.74.1 to 0.47.75.254 | 0.47.75.255 | 510 |
| 167 | 0.47.76.0/23 | 0.47.76.1 to 0.47.77.254 | 0.47.77.255 | 510 |
| 168 | 0.47.78.0/23 | 0.47.78.1 to 0.47.79.254 | 0.47.79.255 | 510 |
| 169 | 0.47.80.0/23 | 0.47.80.1 to 0.47.81.254 | 0.47.81.255 | 510 |
| 170 | 0.47.82.0/23 | 0.47.82.1 to 0.47.83.254 | 0.47.83.255 | 510 |
| 171 | 0.47.84.0/23 | 0.47.84.1 to 0.47.85.254 | 0.47.85.255 | 510 |
| 172 | 0.47.86.0/23 | 0.47.86.1 to 0.47.87.254 | 0.47.87.255 | 510 |
| 173 | 0.47.88.0/23 | 0.47.88.1 to 0.47.89.254 | 0.47.89.255 | 510 |
| 174 | 0.47.90.0/23 | 0.47.90.1 to 0.47.91.254 | 0.47.91.255 | 510 |
| 175 | 0.47.92.0/23 | 0.47.92.1 to 0.47.93.254 | 0.47.93.255 | 510 |
| 176 | 0.47.94.0/23 | 0.47.94.1 to 0.47.95.254 | 0.47.95.255 | 510 |
| 177 | 0.47.96.0/23 | 0.47.96.1 to 0.47.97.254 | 0.47.97.255 | 510 |
| 178 | 0.47.98.0/23 | 0.47.98.1 to 0.47.99.254 | 0.47.99.255 | 510 |
| 179 | 0.47.100.0/23 | 0.47.100.1 to 0.47.101.254 | 0.47.101.255 | 510 |
| 180 | 0.47.102.0/23 | 0.47.102.1 to 0.47.103.254 | 0.47.103.255 | 510 |
| 181 | 0.47.104.0/23 | 0.47.104.1 to 0.47.105.254 | 0.47.105.255 | 510 |
| 182 | 0.47.106.0/23 | 0.47.106.1 to 0.47.107.254 | 0.47.107.255 | 510 |
| 183 | 0.47.108.0/23 | 0.47.108.1 to 0.47.109.254 | 0.47.109.255 | 510 |
| 184 | 0.47.110.0/23 | 0.47.110.1 to 0.47.111.254 | 0.47.111.255 | 510 |
| 185 | 0.47.112.0/23 | 0.47.112.1 to 0.47.113.254 | 0.47.113.255 | 510 |
| 186 | 0.47.114.0/23 | 0.47.114.1 to 0.47.115.254 | 0.47.115.255 | 510 |
| 187 | 0.47.116.0/23 | 0.47.116.1 to 0.47.117.254 | 0.47.117.255 | 510 |
| 188 | 0.47.118.0/23 | 0.47.118.1 to 0.47.119.254 | 0.47.119.255 | 510 |
| 189 | 0.47.120.0/23 | 0.47.120.1 to 0.47.121.254 | 0.47.121.255 | 510 |
| 190 | 0.47.122.0/23 | 0.47.122.1 to 0.47.123.254 | 0.47.123.255 | 510 |
| 191 | 0.47.124.0/23 | 0.47.124.1 to 0.47.125.254 | 0.47.125.255 | 510 |
| 192 | 0.47.126.0/23 | 0.47.126.1 to 0.47.127.254 | 0.47.127.255 | 510 |
| 193 | 0.47.128.0/23 | 0.47.128.1 to 0.47.129.254 | 0.47.129.255 | 510 |
| 194 | 0.47.130.0/23 | 0.47.130.1 to 0.47.131.254 | 0.47.131.255 | 510 |
| 195 | 0.47.132.0/23 | 0.47.132.1 to 0.47.133.254 | 0.47.133.255 | 510 |
| 196 | 0.47.134.0/23 | 0.47.134.1 to 0.47.135.254 | 0.47.135.255 | 510 |
| 197 | 0.47.136.0/23 | 0.47.136.1 to 0.47.137.254 | 0.47.137.255 | 510 |
| 198 | 0.47.138.0/23 | 0.47.138.1 to 0.47.139.254 | 0.47.139.255 | 510 |
| 199 | 0.47.140.0/23 | 0.47.140.1 to 0.47.141.254 | 0.47.141.255 | 510 |
| 200 | 0.47.142.0/23 | 0.47.142.1 to 0.47.143.254 | 0.47.143.255 | 510 |
| 201 | 0.47.144.0/23 | 0.47.144.1 to 0.47.145.254 | 0.47.145.255 | 510 |
| 202 | 0.47.146.0/23 | 0.47.146.1 to 0.47.147.254 | 0.47.147.255 | 510 |
| 203 | 0.47.148.0/23 | 0.47.148.1 to 0.47.149.254 | 0.47.149.255 | 510 |
| 204 | 0.47.150.0/23 | 0.47.150.1 to 0.47.151.254 | 0.47.151.255 | 510 |
| 205 | 0.47.152.0/23 | 0.47.152.1 to 0.47.153.254 | 0.47.153.255 | 510 |
| 206 | 0.47.154.0/23 | 0.47.154.1 to 0.47.155.254 | 0.47.155.255 | 510 |
| 207 | 0.47.156.0/23 | 0.47.156.1 to 0.47.157.254 | 0.47.157.255 | 510 |
| 208 | 0.47.158.0/23 | 0.47.158.1 to 0.47.159.254 | 0.47.159.255 | 510 |
| 209 | 0.47.160.0/23 | 0.47.160.1 to 0.47.161.254 | 0.47.161.255 | 510 |
| 210 | 0.47.162.0/23 | 0.47.162.1 to 0.47.163.254 | 0.47.163.255 | 510 |
| 211 | 0.47.164.0/23 | 0.47.164.1 to 0.47.165.254 | 0.47.165.255 | 510 |
| 212 | 0.47.166.0/23 | 0.47.166.1 to 0.47.167.254 | 0.47.167.255 | 510 |
| 213 | 0.47.168.0/23 | 0.47.168.1 to 0.47.169.254 | 0.47.169.255 | 510 |
| 214 | 0.47.170.0/23 | 0.47.170.1 to 0.47.171.254 | 0.47.171.255 | 510 |
| 215 | 0.47.172.0/23 | 0.47.172.1 to 0.47.173.254 | 0.47.173.255 | 510 |
| 216 | 0.47.174.0/23 | 0.47.174.1 to 0.47.175.254 | 0.47.175.255 | 510 |
| 217 | 0.47.176.0/23 | 0.47.176.1 to 0.47.177.254 | 0.47.177.255 | 510 |
| 218 | 0.47.178.0/23 | 0.47.178.1 to 0.47.179.254 | 0.47.179.255 | 510 |
| 219 | 0.47.180.0/23 | 0.47.180.1 to 0.47.181.254 | 0.47.181.255 | 510 |
| 220 | 0.47.182.0/23 | 0.47.182.1 to 0.47.183.254 | 0.47.183.255 | 510 |
| 221 | 0.47.184.0/23 | 0.47.184.1 to 0.47.185.254 | 0.47.185.255 | 510 |
| 222 | 0.47.186.0/23 | 0.47.186.1 to 0.47.187.254 | 0.47.187.255 | 510 |
| 223 | 0.47.188.0/23 | 0.47.188.1 to 0.47.189.254 | 0.47.189.255 | 510 |
| 224 | 0.47.190.0/23 | 0.47.190.1 to 0.47.191.254 | 0.47.191.255 | 510 |
| 225 | 0.47.192.0/23 | 0.47.192.1 to 0.47.193.254 | 0.47.193.255 | 510 |
| 226 | 0.47.194.0/23 | 0.47.194.1 to 0.47.195.254 | 0.47.195.255 | 510 |
| 227 | 0.47.196.0/23 | 0.47.196.1 to 0.47.197.254 | 0.47.197.255 | 510 |
| 228 | 0.47.198.0/23 | 0.47.198.1 to 0.47.199.254 | 0.47.199.255 | 510 |
| 229 | 0.47.200.0/23 | 0.47.200.1 to 0.47.201.254 | 0.47.201.255 | 510 |
| 230 | 0.47.202.0/23 | 0.47.202.1 to 0.47.203.254 | 0.47.203.255 | 510 |
| 231 | 0.47.204.0/23 | 0.47.204.1 to 0.47.205.254 | 0.47.205.255 | 510 |
| 232 | 0.47.206.0/23 | 0.47.206.1 to 0.47.207.254 | 0.47.207.255 | 510 |
| 233 | 0.47.208.0/23 | 0.47.208.1 to 0.47.209.254 | 0.47.209.255 | 510 |
| 234 | 0.47.210.0/23 | 0.47.210.1 to 0.47.211.254 | 0.47.211.255 | 510 |
| 235 | 0.47.212.0/23 | 0.47.212.1 to 0.47.213.254 | 0.47.213.255 | 510 |
| 236 | 0.47.214.0/23 | 0.47.214.1 to 0.47.215.254 | 0.47.215.255 | 510 |
| 237 | 0.47.216.0/23 | 0.47.216.1 to 0.47.217.254 | 0.47.217.255 | 510 |
| 238 | 0.47.218.0/23 | 0.47.218.1 to 0.47.219.254 | 0.47.219.255 | 510 |
| 239 | 0.47.220.0/23 | 0.47.220.1 to 0.47.221.254 | 0.47.221.255 | 510 |
| 240 | 0.47.222.0/23 | 0.47.222.1 to 0.47.223.254 | 0.47.223.255 | 510 |
| 241 | 0.47.224.0/23 | 0.47.224.1 to 0.47.225.254 | 0.47.225.255 | 510 |
| 242 | 0.47.226.0/23 | 0.47.226.1 to 0.47.227.254 | 0.47.227.255 | 510 |
| 243 | 0.47.228.0/23 | 0.47.228.1 to 0.47.229.254 | 0.47.229.255 | 510 |
| 244 | 0.47.230.0/23 | 0.47.230.1 to 0.47.231.254 | 0.47.231.255 | 510 |
| 245 | 0.47.232.0/23 | 0.47.232.1 to 0.47.233.254 | 0.47.233.255 | 510 |
| 246 | 0.47.234.0/23 | 0.47.234.1 to 0.47.235.254 | 0.47.235.255 | 510 |
| 247 | 0.47.236.0/23 | 0.47.236.1 to 0.47.237.254 | 0.47.237.255 | 510 |
| 248 | 0.47.238.0/23 | 0.47.238.1 to 0.47.239.254 | 0.47.239.255 | 510 |
| 249 | 0.47.240.0/23 | 0.47.240.1 to 0.47.241.254 | 0.47.241.255 | 510 |
| 250 | 0.47.242.0/23 | 0.47.242.1 to 0.47.243.254 | 0.47.243.255 | 510 |
| 251 | 0.47.244.0/23 | 0.47.244.1 to 0.47.245.254 | 0.47.245.255 | 510 |
| 252 | 0.47.246.0/23 | 0.47.246.1 to 0.47.247.254 | 0.47.247.255 | 510 |
| 253 | 0.47.248.0/23 | 0.47.248.1 to 0.47.249.254 | 0.47.249.255 | 510 |
| 254 | 0.47.250.0/23 | 0.47.250.1 to 0.47.251.254 | 0.47.251.255 | 510 |
| 255 | 0.47.252.0/23 | 0.47.252.1 to 0.47.253.254 | 0.47.253.255 | 510 |
| 256 | 0.47.254.0/23 | 0.47.254.1 to 0.47.255.254 | 0.47.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |